#include "stdio.h"
#include "stdlib.h"
//zad. 1

char *st;

int funk(int w, int q,int sumfa,int sumfb){
       int grup=0,suma=0,sumb=0,b=0;
       if (st[w++]=='b') {
                       while((st[w]=='b')&&(w<=q)){
                                sumb++;w++;     
                       }
                       while(sumb>suma){
                                if(st[w]=='a') suma++;else sumb++;
                                w++;                        
                       }
                       grup++;
       }
       else {
            while((st[w]=='a')&&(w<=q)){
                                suma++;w++;     
                       }
            if(w>q) grup--;
            while((suma-sumb)>(sumfa-sumfb)){
                                             if(st[w]=='a') suma++;else sumb++;
                                             w++;
                                             b=1;                                 
            }
            if(b) grup++;
            grup+=suma-sumb;
       }
       sumfa-=suma;
       sumfb-=sumb;
       suma=0;sumb=0;
       if (st[q--]=='b') {
                       while((st[q]=='b')&&(q>=w)){
                                sumb++;q--;     
                       }
                       while(sumb>suma){
                                if(st[q]=='a') suma++;else sumb++;
                                q--;                        
                       }
                       grup++;
       }
       else {
            while((st[q]=='a')&&(q>=w)){
                                suma++;q--;     
                       }
            if(w>q) grup--;
            while((suma-sumb)>(sumfa-sumfb)){
                                             if(st[q]=='a') suma++;else sumb++;
                                             q--;
                                             b=1;                                
            }
            if(b) grup++;
            grup+=suma-sumb;
       }
       sumfa-=suma;
       sumfb-=sumb;
       if(w<=q) return funk(w,q,sumfa,sumfb)+grup;
       else return grup;
}


int main(){FILE *in=fopen("muzej.in","r"),*out=fopen("muzej.out","w");

    
    int i,n,m,suma=0,sumb=0,sumfa=0,sumfb=0;
    fscanf(in,"%d %d",&n,&m);
    m--;
    st=(char *)malloc(n*sizeof(char));
    for(i=0;i<m;i++) {fscanf(in,"%c",st+i);if((st[i]!='a')&&(st[i]!='b')) i--; else if(st[i]=='a') sumfa++; else sumfb++; }
    for(i=m;i<n;i++) {fscanf(in,"%c",st+i);if(st[i]=='a') {suma++;sumfa++;} else {sumb++;sumfb++;}}
    i=m;
    if(suma>sumb) while((suma>=sumb)&&(st[--i]=='b')) sumb++;
    else while(sumb>suma) {if(st[i--]=='a') suma++; else sumb++;}
    fprintf(out,"%d\n",funk(0,i,sumfa-suma,sumfb-sumb));  

fclose(in);fclose(out);return 0;
}
